package models

type InstallmentPaymentRepaidFlow struct {
	Id                   int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	RecordId             int    `json:"record_id" xorm:"not null default 0 comment('记录ID') INT(11)"`
	Uid                  int    `json:"uid" xorm:"not null default 0 comment('用户ID') INT(11)"`
	Amount               string `json:"amount" xorm:"not null default 0.0 comment('金额') DECIMAL(12,1)"`
	WhichRepaymentPeriod int    `json:"which_repayment_period" xorm:"not null default 1 comment('第x还款') TINYINT(3)"`
	CreateAt             string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt             string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
	OrdId                int64  `json:"ord_id" xorm:"not null default 0 comment('订单ID') BIGINT(20)"`
}
